package com.zayac.admin.service;

import com.zayac.admin.system.model.resp.AccountResp;
import org.springframework.stereotype.Service;
import org.springframework.web.reactive.function.BodyInserters;
import org.springframework.web.reactive.function.client.WebClient;
import reactor.core.publisher.Mono;

/**
 * api_token失效的时候执行的逻辑
 */
@Service
public class LoginService {
    private final WebClient webClient;

    public LoginService(WebClient.Builder webClientBuilder) {
        this.webClient = webClientBuilder.baseUrl("http://localhost:8000").build();  // 替换为你的 FastAPI 地址
    }

    public Mono<String> reLoginAndGetHeaders(AccountResp account) {
        return webClient.post()
                .uri("/login")
                .body(BodyInserters.fromValue(account))
                .retrieve()
                .bodyToMono(String.class)
                .map(response -> response);
    }
}
